
/*--
Name: Steve Foss
Assignment Name:  Jump Page CSS Style Sheet
Date: March 15, 2026
 
 /* CSS Document */

  body {
      display: flex;
      flex-direction: column;
      align-items: center;
      background-color: black;
      color: white;
      font-family: Arial, Helvetica, sans-serif;
      font-size: 16px;
      line-height: 1.5;
  }

  h3 {
      margin: 10px 15px;
      text-align: center;
      text-shadow: gray 1px 1px 2px, white 0 0 15px, white 0 0 5px;
  }

  article {
      display: flex;
      flex-direction: column;
      align-items: center;
      text-align: center;
      margin: 20px;
      padding: 10px;
      border: 2px solid white;
      border-radius: 5px;
      background-color: #333;

  }

  figure {
      display: flex;
      flex-direction: column;
      align-items: center;
      text-align: center;
      margin: 20px;
      border: 2px solid white;
      border-radius: 5px;
      background-color: #333;

  }

  section {
      display: flex;
      flex-direction: column;
      align-items: left;
      text-align: left;
      margin: 20px;
      border: 2px solid white;
      border-radius: 5px;
      background-color: #333;

  }

  section h2 {
      text-align: center;
  }

  .container {
      display: flex;
      flex-direction: column;
      align-items: center;

  }

  hr {
      width: 80%;
      border: 1px solid white;
      margin: 20px 15px;
      float: center;
  }

  img {
      width: 50%;
      height: 400px;
      object-fit: scale-down;
      display: flex;
      flex-direction: column;
      justify-content: center;
      align-items: center;
      background-color: white;
      padding: 10px;
      margin: 40px;
      border: 2px solid black;
      border-radius: 50%;
      box-shadow: 10px 10px 15px grey;
  }

  p {
      margin: 10px 15px;
      text-align: center;
      font-size: 20px;
  }

  header {
      display: flex;
      flex-direction: column;
      align-items: center;
      background-color: #333;
      color: white;
      text-align: center;
      padding: 1px 5px;

      border: 2px solid white;
      border-radius: 8px;


  }

  footer {
      display: flex;
      flex-direction: column;
      align-items: center;
      background-color: #333;
      font-size: 16px;
      color: white;
      text-align: center;
      padding: 1px 5px;

      border: 2px solid white;
      border-radius: 8px;
  }

  footer p {
      font-size: 10px;
      font-style: italic;
      color: grey;
      text-align: center;
      max-width: 400px;
  }

  .about a {
      color: rgb(248, 244, 244);
      text-decoration: underline;
      font-size: 50px;
      font-weight: bold;
      text-shadow: 2px 2px 0 black, -2px -2px 0 black, 2px -2px 0 black, -2px 2px 0 black;
  }

  .about a:hover {
      color: white;
      text-decoration: underline;
      text-shadow: 2px 2px 0 rgb(170, 9, 211);
  }

  .course2 {
      font-size: 20px;
      margin-bottom: 20px;
      text-align: center;
      border: 2px solid white;
      padding: 10px;
      border-radius: 5px;
  }

  .email a {
      color: rgb(146, 146, 146);
      text-decoration: none;
  }

  .email a:hover {
      color: white;
      text-decoration: underline;
      font-size: 20px;
  }

  .email {
      font-size: 10px;


      border: 2px solid white;
      border-radius: 5px;
  }

  .name {
      border: 2px solid white;
      padding: 10px;
      margin-bottom: 10px;
      border-radius: 5px;
  }

  .thoughts p {
      margin: 10px 15px;
      text-align: center;
      font-size: 25px;
      color: rgb(0, 0, 0);
      font-weight: bold;
  }

  .thoughts {
      background-color: #333;
      width: 60%;
      text-align: center;
      margin: 20px;
      padding: 10px;
      border: 2px solid white;
      border-radius: 5px;
      font-size: 18px;
  }

  .thoughts a {
      color: rgb(253, 252, 252);
      text-decoration: underline;
  }

  .thoughts a:hover {
      color: white;
      text-decoration: underline;
      font-size: 23px;
  }

  @media (max-width: 600px) {
      body {
          font-size: 14px;
      }

      section {
          text-align: center;
          align-items: center;
      }

      img {
          width: 80%;
          height: auto;
      }

      .thoughts {
          width: 90%;
      }
  }
